Debian Bug report logs - #658783
ITP: mate-common -- common scripts and macros to develop with MATE

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stefano Karapetsas <stefano@karapetsas.com>

Date: Mon, 6 Feb 2012 00:36:02 UTC

Owned by: Stefano Karapetsas <stefano@karapetsas.com>

Severity: wishlist

Fixed in versions mate-common/1.5.2-1, mate-common/1.6.1-1

Done: Stefano Karapetsas <stefano@karapetsas.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Mon, 06 Feb 2012 00:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 06 Feb 2012 00:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mate-common -- common scripts and macros to develop with MATE
Date: Mon, 06 Feb 2012 01:27:23 +0100
Package: wnpp
Severity: wishlist
Owner: Stefano Karapetsas <stefano@karapetsas.com>

* Package name    : mate-common
  Version         : 1.2.0
  Upstream Author : Perberos <perberos@gmail.com>
* URL             : http://www.mate-desktop.org/
* License         : GPL
  Programming Lang: Shell
  Description     : common scripts and macros to develop with MATE

mate-common is an extension to autoconf, automake and libtool for the MATE
environment and MATE using applications. Included are mate-autogen.sh and
several macros to help in MATE source trees.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 08 Feb 2012 08:57:12 GMT) Full text and rfc822 format available.

Message #10 received at 658783@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: debian-devel@lists.debian.org
Cc: 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 09:55:38 +0100
Le mercredi 08 février 2012 à 00:53 +0100, Stefano Karapetsas a écrit : 
> Many users are using it well. Now that this is enough stable, I begun 
> the process for ask the inclusion in Debian.
> The first package is mate-common.
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=658783 (ITP)
> http://lists.debian.org/debian-mentors/2012/02/msg00115.html (RFS)
> With this mail I wish to have opinions and suggestions about our work 
> from Debian Developers.

MATE introduces a lot of code duplication, which is considered bad in
Debian, and is based on obsolete technologies - not just GTK2, which
will of course remain for a long time, but also things like Bonobo which
very few people really understand, and which are the cause of a lot of
not-well-understood bugs.

For these reasons I object to having MATE in Debian. OTOH I invite you
to contribute to GNOME 3 packaging to make it look great and fix
remaining regressions.
I am of course not the one to decide whether your packages can be
accepted; the FTP masters will.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 08 Feb 2012 10:48:05 GMT) Full text and rfc822 format available.

Message #15 received at 658783@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Josselin Mouette <joss@debian.org>
Cc: debian-devel@lists.debian.org, 658783@bugs.debian.org, stefano@karapetsas.com
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 11:44:39 +0100
On 08/02/12 09:55, Josselin Mouette wrote:
> Le mercredi 08 février 2012 à 00:53 +0100, Stefano Karapetsas a écrit
> :
>> Many users are using it well. Now that this is enough stable, I
>> begun the process for ask the inclusion in Debian. The first
>> package is mate-common.
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=658783 (ITP)
>> http://lists.debian.org/debian-mentors/2012/02/msg00115.html (RFS)
>> With this mail I wish to have opinions and suggestions about our
>> work from Debian Developers.
>
> MATE introduces a lot of code duplication, which is considered bad
> in Debian, and is based on obsolete technologies - not just GTK2,
> which will of course remain for a long time, but also things like
> Bonobo which very few people really understand, and which are the
> cause of a lot of not-well-understood bugs.
>

Maybe this could benefit to both parties if MATE team tries to reduce
usage of obsolete libraries to a bare minimum, and avoid using bug
monsters (like Bonobo and others). I guess this means a lot of work, but
that's the price to pay to ease its maintainability on the long term and
having it packaged within Debian. Did MATE team consider such a plan? If
yes, what was the outcome of the discussion?

Regards,

-- 
Mehdi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 13:09:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 Feb 2012 13:09:51 GMT) Full text and rfc822 format available.

Message #20 received at 658783@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Josselin Mouette <joss@debian.org>, <debian-devel@lists.debian.org>, <658783@bugs.debian.org>
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 14:05:16 +0100
Il 2012-02-08 11:44 Mehdi Dogguy ha scritto:
> On 08/02/12 09:55, Josselin Mouette wrote:
>> MATE introduces a lot of code duplication, which is considered bad
>> in Debian, and is based on obsolete technologies - not just GTK2,
>> which will of course remain for a long time, but also things like
>> Bonobo which very few people really understand, and which are the
>> cause of a lot of not-well-understood bugs.
> Maybe this could benefit to both parties if MATE team tries to reduce
> usage of obsolete libraries to a bare minimum, and avoid using bug
> monsters (like Bonobo and others). I guess this means a lot of work, 
> but
> that's the price to pay to ease its maintainability on the long term 
> and
> having it packaged within Debian. Did MATE team consider such a plan? 
> If
> yes, what was the outcome of the discussion?

Yeah. In our roadmap there is the dismissal of the obsolete libraries,
like the replacement of MateConf (the fork of GConf) with GSettings, 
and
so on. We are studying how replace Bonobo and ORBIT, too.
About this point I talked some time ago with Karen Sandler to find a
meeting point with GNOME3 developers to share more libraries possible
between the two desktop environments, to reduce the duplicated work.
I dont think work only on fallback session is the solution, because
GNOME3 is based on a different idea. I saw some gnome design team 
mockups
of all applications, and I find its far from GNOME2.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 13:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 08 Feb 2012 13:27:15 GMT) Full text and rfc822 format available.

Message #25 received at 658783@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Stefano Karapetsas <stefano@karapetsas.com>
Cc: Josselin Mouette <joss@debian.org>, debian-devel@lists.debian.org, 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 14:23:50 +0100
On 08/02/12 14:05, Stefano Karapetsas wrote:
> I saw some gnome design team mockups of all applications, and I find
> its far from GNOME2.

Then, why don't you help them? (It is easier than re-packaging and
maintaining Gnome2).

Regards,

-- 
Mehdi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 13:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 Feb 2012 13:39:07 GMT) Full text and rfc822 format available.

Message #30 received at 658783@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Mehdi Dogguy <mehdi@dogguy.org>, <658783@bugs.debian.org>
Cc: Josselin Mouette <joss@debian.org>, <debian-devel@lists.debian.org>
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 14:38:04 +0100
Il 2012-02-08 14:23 Mehdi Dogguy ha scritto:
>> I saw some gnome design team mockups of all applications, and I find
>> its far from GNOME2.
> Then, why don't you help them? (It is easier than re-packaging and
> maintaining Gnome2).
>
> Regards,

I just answered before. GNOME3 is a completely different desktop, and I
dont think it can have two ideas in same environment. It should follow
it main goal to have an attractive desktop.
We started to work on MATE and we understand that it's possible and
human to work and maintain it.

Best regards,
Stefano




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 13:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 08 Feb 2012 13:45:10 GMT) Full text and rfc822 format available.

Message #35 received at 658783@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Stefano Karapetsas <stefano@karapetsas.com>
Cc: debian-devel@lists.debian.org, 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 14:41:09 +0100
Le mercredi 08 février 2012 à 14:05 +0100, Stefano Karapetsas a écrit : 
> Yeah. In our roadmap there is the dismissal of the obsolete libraries,
> like the replacement of MateConf (the fork of GConf) with GSettings, 
> and
> so on. 

Sorry but what is the point of *forking* GConf? What does it bring,
apart from more work for you and more processes for your users?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 13:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 Feb 2012 13:57:09 GMT) Full text and rfc822 format available.

Message #40 received at 658783@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Josselin Mouette <joss@debian.org>, <658783@bugs.debian.org>
Cc: <debian-devel@lists.debian.org>
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 14:52:53 +0100
Il 2012-02-08 14:41 Josselin Mouette ha scritto:
> Le mercredi 08 février 2012 à 14:05 +0100, Stefano Karapetsas a écrit 
> :
>> Yeah. In our roadmap there is the dismissal of the obsolete 
>> libraries,
>> like the replacement of MateConf (the fork of GConf) with GSettings,
>> and
>> so on.
> Sorry but what is the point of *forking* GConf? What does it bring,
> apart from more work for you and more processes for your users?

GConf is deprecated. MateConf is born to have a temporary solution 
until
we choose the replacement for it.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 08 Feb 2012 14:27:07 GMT) Full text and rfc822 format available.

Message #45 received at 658783@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: debian-devel@lists.debian.org, 658783@bugs.debian.org, Stefano Karapetsas <stefano@karapetsas.com>
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 15:23:15 +0100
Le mercredi 08 février 2012 à 14:52 +0100, Stefano Karapetsas a écrit : 
> GConf is deprecated. MateConf is born to have a temporary solution 
> until
> we choose the replacement for it.

GConf is deprecated, but it is still maintained. It is still used e.g.
by evolution. 

I don’t see the point of renaming it, starting another daemon, and
whatnot, if you provide the same functionality. If you want to keep
maintaining GConf for longer than they plan, I don’t think upstream
developers will prevent you from doing it.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Wed, 08 Feb 2012 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 Feb 2012 14:33:05 GMT) Full text and rfc822 format available.

Message #50 received at 658783@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Josselin Mouette <joss@debian.org>
Cc: <debian-devel@lists.debian.org>, <658783@bugs.debian.org>
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Wed, 08 Feb 2012 15:29:38 +0100
Il 2012-02-08 15:23 Josselin Mouette ha scritto:
> GConf is deprecated, but it is still maintained. It is still used 
> e.g.
> by evolution.
>
> I don’t see the point of renaming it, starting another daemon, and
> whatnot, if you provide the same functionality. If you want to keep
> maintaining GConf for longer than they plan, I don’t think upstream
> developers will prevent you from doing it.

This is a good news. I didnt know that GConf is still maintained. This
is a good point where we can start to share our forces!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Fri, 06 Apr 2012 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <dave@treblig.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Fri, 06 Apr 2012 13:33:06 GMT) Full text and rfc822 format available.

Message #55 received at 658783@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <dave@treblig.org>
To: 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Fri, 6 Apr 2012 13:50:54 +0100
I'd like to support the proposal to package MATE.

While I agree there is code duplication, that's obviously something that
will take some time to remove, however I also believe it's important
not to wait until it's cleaned.

There are many users who do not want to change their desktop from
their current debian/gnome2 setups (or for that matter ubuntu/gnome2
setups), and the gnome2 environment works well on older hardware
and with open graphics drivers, that might not be too hot on 3d.  I
believe that working well on a wide range of hardware has always been
an important consideration in debian.

At the moment the nice people at Mint and Mate have got repositories
for their own builds and installing on other distros (including
Debian), however I assume that diverts resources away from things
like the de-duping, it also means that users have to install
stuff from other repos; that might be a problem for users in
corporate environments where they have sign off to use debian
repos for example.

Dave

-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\ gro.gilbert @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sun, 22 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oz Nahum Tiram <nahumoz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sun, 22 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 658783@bugs.debian.org (full text, mbox):

From: Oz Nahum Tiram <nahumoz@gmail.com>
To: 658783@bugs.debian.org
Cc: joss@debian.org, stefano@karapetsas.com, debian-devel@lists.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Sun, 22 Jul 2012 11:08:32 +0200
>I'd like to support the proposal to package MATE.
+1

>While I agree there is code duplication, that's obviously something that
>will take some time to remove, however I also believe it's important
>not to wait until it's cleaned.

++1

I strongly agree with Dave, we should not wait to solve this issues.
There is enough
potential for Mate to live on a non competing space to GNOME3 which
will not run
on modest or old hardware (e.g. arm based computers, computer with no
hardware acceleration).

There is also enough murmur and frustration about the lack of feedback
acceptance from
from GNOME developers. Personally, I feel the applications in GNOME
are dumbed versions
of their counterparts in GNOME2 only re-written in GTK3. This is not
usable to me.

And I am not alone out there. There are enough people who devote the
time making whole
Debian distros including MATE:
http://distrowatch.com/table.php?distribution=descentos
http://distrowatch.com/table.php?distribution=leeenux
http://distrowatch.com/table.php?distribution=snowlinux
http://linuxmint.com/

Not debian based:
http://distrowatch.com/table.php?distribution=salix


This works could be directly invested in Debian. Project like
Skolelinux, or Debian Edu, which already
used GNOME2 based environment will suffer badly if they will be forced
to migrade to GNOME3
on thin clients. MATE will be an excellent continuation for their
project. And will also save
a lot of time re-designing XCFE to feet into thin clients.

Please, do not block  MATE in Debian, and let it live in peace side by
side to GNOME3.
I rolled up my sleeves and learned how to package mate to debian, and
I willing to contribute
to the efforts of cleaning duplicate codes and making MATE a viable
alternative in Debian.

Best Regards,
Oz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Tue, 24 Jul 2012 10:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Tue, 24 Jul 2012 10:57:05 GMT) Full text and rfc822 format available.

Message #65 received at 658783@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 658783@bugs.debian.org
Cc: joss@debian.org, debian-devel@lists.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Tue, 24 Jul 2012 14:53:40 +0400
I agree with Josselin here. There is no point in forking gconf and other
libraries. Even worse, this will increase the incompatibility between
different desktops. For example, an app making use of "gconftool-2" will
not work when there's "mateconftool-2" in the system instead.

If you want to fix a bug in GNOME libraries, you should propose a patch
to their bugzilla, they will be happy to accept it.

Also, we try to remove existing packages that use deprecated libraries
(like libgnome* and libbonobo*), and I think it's not good at all to add
new packages relying on those libraries.

--
Dmitry Shachnev
(Debian Maintainer)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 01 Aug 2012 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oz Nahum Tiram <nahumoz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 01 Aug 2012 06:42:03 GMT) Full text and rfc822 format available.

Message #70 received at 658783@bugs.debian.org (full text, mbox):

From: Oz Nahum Tiram <nahumoz@gmail.com>
To: 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 1 Aug 2012 08:38:46 +0200
Hi Dimitry,

>Even worse, this will increase the incompatibility between
>different desktops. For example, an app making use of "gconftool-2" will
>not work when there's "mateconftool-2" in the system instead.

Is this said from experience??? I have no problem using gnome apps
along side with
mateconftool-2.
All of the GNOME core applications have been ported in mate to use
mateconftool.

>If you want to fix a bug in GNOME libraries, you should propose a patch
>to their bugzilla, they will be happy to accept it.

This is of course only possible in an IDEAL world where logic and listening
govern. Unfortunately, we live in a suboptimal world, where CHOICE compensate
for.

>Also, we try to remove existing packages that use deprecated libraries
>(like libgnome* and libbonobo*), and I think it's not good at all to add
>new packages relying on those libraries.

A library has become depreciated only because it's upstream maintainer
has decided not keep maintaining it. Depreciation is not some uncontrolled
nature force.

When a library becomes depreciated you could choose either stop using it,
or you fork it and keep using it while maintaining it.
In this case libgnome, with all it's technical disadvantages will keep
living as libmate.
So bug fixing that should have gone to gnome developers should land on
the ears of
mate developers. Hopefully, they will be more responsive than GNOME developers.
From my experience so far, it is the case.

In the mean while, 3 Major distributions are offering MATE:
Arch, LinuxMint, and now Fedora [1].  Debian should not make it hard
to to users to choose.
Debian should encourage freedom and freedom means choice, even though if we
have to work hard for those choices [2]

Best Regards,
Oz



[1] http://ostatic.com/blog/fedora-gets-mate-and-new-server
[2] The easier choice is to shut down all Debian servers and buy that other OS.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sat, 29 Sep 2012 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Monnier <monnier@iro.umontreal.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sat, 29 Sep 2012 16:15:03 GMT) Full text and rfc822 format available.

Message #75 received at 658783@bugs.debian.org (full text, mbox):

From: Stefan Monnier <monnier@iro.umontreal.ca>
To: 658783@bugs.debian.org
Subject: One more vote for Mate
Date: Sat, 29 Sep 2012 11:59:30 -0400
I do not have anything specifically against Gnome3's UI.
While different, I could probably accommodate it.  The problem with
Gnome3 is that a year after it took over (in Debian testing) ass the
main DE, I still can't use it.  Not because my hardware is not
supported, but because its unreliable (locks up more than crashes, but
that's still unreliable).


        Stefan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sat, 20 Oct 2012 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sat, 20 Oct 2012 17:09:07 GMT) Full text and rfc822 format available.

Message #80 received at 658783@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 658783@bugs.debian.org
Cc: Stefano Karapetsas <stefano@karapetsas.com>, Josselin Mouette <joss@debian.org>, Mehdi Dogguy <mehdi@dogguy.org>, "Dr. David Alan Gilbert" <dave@treblig.org>, Oz Nahum Tiram <nahumoz@gmail.com>, Dmitry Shachnev <mitya57@gmail.com>, Stefan Monnier <monnier@iro.umontreal.ca>
Subject: Re: MATE Desktop Environment in Debian
Date: Sat, 20 Oct 2012 19:05:22 +0200
Hello,

I would	like to	support	the inclusion of MATE in Debian. While I'm not
sure whether MATE is ready yet for the inclusion in Debian due to the
aforementioned issues (plus the	MATE Debian packages aren't aware
of Multi-Arch), I am confident that bringing MATE to Debian would be a
wise choice.

While I	am not disregarding GNOME3 and it's design philisophy per se,
I think	that the changes introduced with GNOME3 are rather problematic
in large-scale installations with many different users.

We're running Debian Squeeze at a physics department of	a large
university, deploying it on several hundred machines with over
a thousand users. Many of our users aren't computer geeks, they're
physicists and they use	the computer as	a tool to get their work
done. For this, they need an easy-to-use and unobtrusive desktop which
behaves like what they know from their Windows or Mac machines at
home, GNOME2 suits here perfectly and thus, most of our users actually
run GNOME2.

We have	recently started to deploy Debian Wheezy on some of the
machines to be able to do some testing in the real world.

Unfortunately, the feedback we received regarding GNOME3 so far
is mostly negative. Not because users dislike the interface design,
but rather because they	simply don't find their way around in the new
user interface. It's hard to justify, for example, why a user can't
have icons on their desktops anymore, many people rely on this
feature. Yes, I know one can re-enable with the	tweak-tool,
but I cannot seriously run into 250+ offices and show users how to
do that.

Plus, all the current display managers won't allow our users to choose
their preferred session and language and store this setting in their
home directory, so that both session and language are being remembered
even when logging in to a different machine on the network.

Anyway, I think that it would be reasonable to include the MATE
desktop in Debian once the upstream developers have fixed all points
of criticism and from talking with them and their roadmap [1], I know
that they're actually working on it.

The fact that even Fedora (with RedHat being the main driving force
and employer behind GNOME) is working to adopt MATE [2] shows that
there is definetely a need for it and many people are actually using
it.

Cheers,

Adrian

> [1] http://wiki.mate-desktop.org/roadmap
> [2] http://fedoraproject.org/wiki/Features/MATE-Desktop



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sat, 20 Oct 2012 23:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sat, 20 Oct 2012 23:21:06 GMT) Full text and rfc822 format available.

Message #85 received at 658783@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Sun, 21 Oct 2012 01:15:59 +0200
Le samedi 20 octobre 2012 à 19:05 +0200, John Paul Adrian Glaubitz a
écrit : 
> We have	recently started to deploy Debian Wheezy on some of the
> machines to be able to do some testing in the real world.
> 
> Unfortunately, the feedback we received regarding GNOME3 so far
> is mostly negative. Not because users dislike the interface design,
> but rather because they	simply don't find their way around in the new
> user interface. It's hard to justify, for example, why a user can't
> have icons on their desktops anymore, many people rely on this
> feature. Yes, I know one can re-enable with the	tweak-tool,
> but I cannot seriously run into 250+ offices and show users how to
> do that.

Then change the settings yourself. You’re the sysadmin, aren’t you?
Debian includes all the tools you need to change settings system-wide.

> The fact that even Fedora (with RedHat being the main driving force
> and employer behind GNOME) is working to adopt MATE [2] shows that
> there is definetely a need for it and many people are actually using
> it.

Most issues people have with GNOME 3 “classic” usually boil down to “the
panel is black instead of grey”.

Anyway, you’re welcome to package MATE in Debian. Just fix all the code
duplication stupidity before. So far no one has volunteered to do so.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sun, 21 Oct 2012 00:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <dave@treblig.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sun, 21 Oct 2012 00:36:06 GMT) Full text and rfc822 format available.

Message #90 received at 658783@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <dave@treblig.org>
To: Josselin Mouette <joss@debian.org>, 658783@bugs.debian.org
Cc: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Sun, 21 Oct 2012 00:54:43 +0100
* Josselin Mouette (joss@debian.org) wrote:
> 
> Most issues people have with GNOME 3 ???classic??? usually boil down to ???the
> panel is black instead of grey???.

Mine are generally more of the larger scale; things like not being able
to do 2d arrays of desktops any more, options I use being removed or
performance/minimum system spec issues.

However, that doesn't seem to be relavent to the packaging decision;
in the same way that the packager of one editor can't sensibly
object to the packaging of another.

> Anyway, you???re welcome to package MATE in Debian. Just fix all the code
> duplication stupidity before. So far no one has volunteered to do so.

OK, so I've seen that objection a few times - can you elaborate on
what you believe needs fixing - given that the MATE guys already have
working debs, the issue here seems to be purely one of meeting
debian standards and resolving duplication issues; so it's right
that we try and build a list of precisely what needs doing.

I think they've been pretty careful to allow co-installation with Gnome3,
and by it's nature that does mean they've done things like do renames
on packages where the actual difference between the gnome2 and gnome 3 
source for the package is pretty similar.

Dave
-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\ gro.gilbert @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Sun, 21 Oct 2012 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Oct 2012 13:06:03 GMT) Full text and rfc822 format available.

Message #95 received at 658783@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Josselin Mouette <joss@debian.org>, <658783@bugs.debian.org>
Cc: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, <dave@treblig.org>, Steve Zesch <stevezesch2@gmail.com>
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Sun, 21 Oct 2012 14:53:42 +0200
Il 2012-10-21 01:15 Josselin Mouette ha scritto:
> Most issues people have with GNOME 3 “classic” usually boil down to 
> “the
> panel is black instead of grey”.

I dont think so. There are a lot of differences between MATE and GNOME 
fallback. Some examples: the new layout of all applications with so many 
removed buttons, the removed tree sidebar and compact view in nautilus, 
etc.

> Anyway, you’re welcome to package MATE in Debian. Just fix all the 
> code
> duplication stupidity before. So far no one has volunteered to do so.

This is not true. MATE team is working hard to do this and we are in a 
good point. Migration to gsettings/dbus (and deletion of obsolete libs 
like bonobo, gconf, gnome-vfs, libgnome, libgnomeui and libgnomecanvas) 
is almost complete, and GNOME developers helped us on this too.
In addition to this, MATE offers new features too.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 31 Oct 2012 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guest One <theguestone@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 31 Oct 2012 14:15:05 GMT) Full text and rfc822 format available.

Message #100 received at 658783@bugs.debian.org (full text, mbox):

From: Guest One <theguestone@gmail.com>
To: 658783@bugs.debian.org
Date: Wed, 31 Oct 2012 15:12:51 +0100
[Message part 1 (text/plain, inline)]
Some news about the inclusion of MATE in Debian official repositories?
The good-old Gnome 2 is still a great solution for a lot of people and i
think that Debian must have a desktop like this in main repositories.
I see that MATE is not just a repackaging of Gnome 2, it has new features
and devs are closing a lot of old Gnome 2 bugs.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Thu, 15 Nov 2012 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Thu, 15 Nov 2012 13:24:03 GMT) Full text and rfc822 format available.

Message #105 received at 658783@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Josselin Mouette <joss@debian.org>
Cc: 658783@bugs.debian.org, Stefano Karapetsas <stefano@karapetsas.com>, Mehdi Dogguy <mehdi@dogguy.org>, "Dr. David Alan Gilbert" <dave@treblig.org>, Oz Nahum Tiram <nahumoz@gmail.com>, Dmitry Shachnev <mitya57@gmail.com>, Monnier <monnier@iro.umontreal.ca>, Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, Guest One <theguestone@gmail.com>
Subject: Re: Re: MATE Desktop Environment in Debian
Date: Thu, 15 Nov 2012 14:20:35 +0100
[Message part 1 (text/plain, inline)]
On 21/10/12 01:15, Josselin Mouette wrote:
> Most issues people have with GNOME 3 “classic” usually boil down to “the
> panel is black instead of grey”.
> 
> Anyway, you’re welcome to package MATE in Debian. Just fix all the code
> duplication stupidity before. So far no one has volunteered to do so.
> 


Probably you all know already, but GNOME "classic" (aka fallback) is
going to be removed with GNOME 3.8 [1]

So, for those who like GNOME but want a "classic" desktop metaphor the
options are now reduced to cinnamon and mate.

I didn't tried cinnamon yet, but I guess I will do soon because it is
coming to Debian now [2]

Anyway, I was very happy with GNOME2 and all its applets, so if Mate is
packaged inside Debian it will be for sure my preferred option.

Also, mate is now the only option for those who want a GNOME desktop but
don't have 3D acceleration or don't have a fast enough CPU to run LLVMpipe

On top of that, Mate is now packaged officially on Fedora [3]. So if
they can support it and live together with the "code duplication
stupidity", then I don't see why Debian couldn't do it.

Also, as others pointed before, it's not clear at all which means that
affirmation that mate is duplicating code. Could you please elaborate
this generic "code duplication stupidity" on specific issues? Which
libraries/code is MATE duplicating?



Regards!
--------

[1] https://lwn.net/Articles/523774/
[2] http://ftp-master.debian.org/new/cinnamon_1.6.2-1.html #657395
[3] https://fedoraproject.org/wiki/Features/MATE-Desktop

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Thu, 15 Nov 2012 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pekka Sarnila <sarnila@adit.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Thu, 15 Nov 2012 17:36:03 GMT) Full text and rfc822 format available.

Message #110 received at 658783@bugs.debian.org (full text, mbox):

From: Pekka Sarnila <sarnila@adit.fi>
To: 658783@bugs.debian.org
Subject: Re: Bug#658783: MATE Desktop Environment in Debian
Date: Thu, 15 Nov 2012 19:20:48 +0200
It is so unfortunate that this matter has become so emotional. No 
wonder. The gnome people worked so hard to create what they believe to 
be even better desktop. And Linux community's response was 
overwhelmingly negative (including public and rather outspoken 
statements by major Linux developers).

However, that has seriously obscured the actual questions about it. 
Everyone, including gnome developers, should realize that gnome3 is not 
an upgrade of gnome2 (except by name). It is entirely different and new 
product. I think it is detrimental to give them comparative labels like 
good vs. bad, modern vs. old fashioned, easy vs. difficult (my 83 year 
old mother uses gnome2 daily) etc.

As I see it, they are good for different kind of people and/or different 
kind of use.

E.g. what I have observed, most people (in office or home) use only one 
application at the time, or if they have more than one running they 
still use them in fullscreen mode and only rarely start new ones or stop 
old ones or switch in between them. Most have never heard of terminal 
window (command prompt in MSW).

I on the contrary belong to the group that have display full of 
overlapping windows belonging to various ongoing projects (both my day 
work and hobbies) and constantly start new terminals, Firefox windows, 
pdfs, docs, etc (and do a lot of cut/pastes in between them). This seems 
to be the way a lot of scientist, engineers, software developers, etc 
work (and plenty of them use Debian).

Also, there are small touchscreens and laptops, and there are 27" 
desktop displays.

And what comes to aesthetics, these are matters of taste, not matters of 
better or worse.

So DEBIAN, please, give us all the possible choices there are. Don't get 
entangled in flame wars or secondary technical issues.


Regards!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Thu, 29 Nov 2012 02:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Thu, 29 Nov 2012 02:03:06 GMT) Full text and rfc822 format available.

Message #115 received at 658783@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: 658783@bugs.debian.org
Subject: Re: MATE Desktop Environment in Debian
Date: Wed, 28 Nov 2012 20:01:08 -0600
I strongly support inclusion of MATE.

Why not packaging GNOME 2 directly?
GNOME 2 and GNOME 3 are not parallel installable. And MATE renamed binaries.

Why not GNOME Fallback?
It is dropped in GNOME 3.8
It is indeed different from GNOME 2, though non-heavy users may not
notice the difference.
It is not well maintained and have several technical issues (so GNOME
devs decided to drop it).

Why not GNOME Shell with extensions?
I'm aware of the fact that GNOME dev promised to provide a set
extensions that resemble GNOME 2 experience. However:
1. 3D hardware issue still exists.
2. Change in applications are visible anyway, e.g., Nautilus 3.6+.
3. We haven't see the end result

Why not contributing GNOME project?
I guess many people tried. However:

1. GNOME devs' vision is strongly towards dummy proof tablet rather a
sane, enterprise / scientific suitable desktop.
Check their design mockups for inspiration:
https://live.gnome.org/Design/Apps
Nautilus 3.6, again, is a good real world example.
https://live.gnome.org/Nautilus/Roadmap/3.6
Some features that some users use heavily looks annoying in the eye of
GNOME devs; GNOME devs urge to remove these features.
I'm pretty sure same thing happened / will happen in other GNOME
applications. For example, Empathy 3.6 removed compact mode of contact
list.
https://bugzilla.gnome.org/show_bug.cgi?id=687351

2. GNOME becomes more and more *proprietary* these days.
proprietary -- one that possesses, owns, or holds exclusive right to
something (Merriam-Webster)
Once in IRC, I heard that you don't use GDM with GNOME 3.6, the screen
won't lock.
And I'm pretty sure GNOME would definitely depends on systemd at some
point. Then what for Debian?
Also for input sources white listing debate in recent days, you can
see how much control GNOME devs want over their upstreams (IBus
project) and downstream (distributions). The white lists even break
Fedora's input experience but GNOME devs don't feel bad.
http://git.gnome.org/browse/gnome-control-center/tree/panels/region/gnome-region-panel-input.c#n67
http://git.gnome.org/browse/gnome-shell/tree/js/ui/status/keyboard.js#n188
https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00091.html
https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00123.html
https://bugzilla.gnome.org/show_bug.cgi?id=688914
https://bugzilla.gnome.org/show_bug.cgi?id=688916
https://bugzilla.redhat.com/show_bug.cgi?id=880007
Third-party developers and theme designer are also unhappy with GNOME
project probably.
http://igurublog.wordpress.com/2012/11/05/gnome-et-al-rotting-in-threes/

Why about MATE's 'stupid duplication'?
I guess those who know much about these issues and care MATE should
try contributing MATE.
In a distribution level, I don't think such technical ugliness, if
any, is big concern.
Many other package may also use ugly techniques in source code, but who cares?

As FOSS world allows people with different ideas and visions to fork,
I really hope that Debian can help MATE reaching a wider audience,



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Fri, 30 Nov 2012 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nelson Marques <nmo.marques@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Fri, 30 Nov 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #120 received at 658783@bugs.debian.org (full text, mbox):

From: Nelson Marques <nmo.marques@gmail.com>
To: 658783@bugs.debian.org
Date: Fri, 30 Nov 2012 17:59:47 +0000
[Message part 1 (text/plain, inline)]
Dear Debian Community,

This is a personal email, and as such I speak only for myself; I would like
to state following regarding a potential inclusion of MATE in Debian:

  #1  freeze - I totally agree that the freeze should be respected, and I
personally support Debian in enforcing such rule;

  #2  deprecated packages - MATE 1.4 still uses a lot of the 'dark arts'
behind GNOME (ex: libmate, mateconf-2.0, bonobo, ORBit, etc). MATE 1.6
introduces a great effort to move MATE for the GNOME3 infra-structure, thus
dropping all this dark packages that very few people really understand (as
raised before). So my opinion is that MATE 1.6 is the right release to
introduce in Debian (that's what we are doing at openSUSE and Fedora). This
to say, I also support your claims in not bringing deprecated stuff back
that most of us were happy to see being dropped.

 #3 use our manpower to contribute in GNOME3 packaging - this makes sense
in MATE 1.6, specially because we are moving the underneath technologies to
GNOME3 infra-structure, so up to a point working together in this field
becomes mandatory for success. Of course we have no interest in maintaining
specific packages of GNOME3 as we dont need them, though this should be a
decision from the packager in my opinion. If the package wants to help, I'm
ok with that. I do this on openSUSE, I was in the past a member of openSUSE
GNOME Team, and I still fix stuff on GNOME, despite my efforts are in MATE.
I'm sure that any of the other 7 active packagers will fix packages in MATE
if they see something needing a fix, it's a part of our workflow. I don't
see why Debian couldn't work that way too, but it ends up being people's
personal decisions.

In this points I do endorse Debian concerns, and currently on a MATE level
we're working hard to comply. This to say, we have listened to your (and
others) calls, and we're trying to improve.


Now, I also have some concerns in the case MATE doesn't roll in official
Debian, here's a few:

 1) How can a Debian user benefict from introducing foreign (third party,
example MATE provided) packages in Debian? Wouldn't this end up having the
user running unsupported software in his system? Wouldn't this raise a lot
of potential maintenance / support issues for users? Both are bad for MATE
and Debian.

 2) Our packages are not perfect (I personally don't know nothing of Debian
packaging, I do and integrate software in RPM form); We are trying our
best, but the improvements required are only possible with Debian's help.
Debian has the know-how and expertise to help us improve, we have the
manpower and the capability to help Debian users at upstream level, also to
help with integration. Wouldn't it be far more plausible if we worked
together, instead of throwing everyone into the falacy described in 1) ?

 3) At MATE level, we never engaged GNOME3 as a competitor, GNOME3 in fact
enables a lot of technology introduced in MATE 1.6. We have had help from
several GNOME maintainers, and offers of help to improve, just two examples
are Vincent Untz which helped us a lot with the GSetting ports and
mate-panel, and recently Federico Quintero Mena. We even started
maintaining abandoned packages from GNOME (in GNOME) to use with MATE. I'm
sure many of you are already aware Federico sponsored our way in. This to
say, we are trying to improve with the help and support from people who
__really__ want to help us.

 4) MATE isn't a competitor of GNOME3 (unless you are pure marketing fellow
and use the marketing defenition: a competitor is a product or service that
replaces totally or partially another). We're working together... the
relation between MATE and GNOME is quite simple, GNOME is our technology
enabler. Lets fall into another falacy and see things that don't exist.
Lets not provide free ammunition to the link hunter sensasionlist
bloggers...

 5) Integration - my experience with integration of MATE in openSUSE (and
up to a point in Fedora) has showed me that often a few other packages get
a few tweaks. Most of the stuff needed at 3rd parties (ex: XDG) has already
been done. Still, a proper integration in Debian will require your
know-how. We are aware of a few integration bugs on the Debian packages
(upstream), we need your help to fix them while Debian decides what to do.
I would personally not like to see Debian users being treated as second
class citizens compared to distributions which embraced MATE. This would
also help that we get more consistent bug reports and improve deployment
capabilities. This is something that can only be achieved by working
together regardless of inclusion is accepted or denied. If it gets denied,
we're still open for Debian to help us out improving the deployments of
MATE managed by upstream (something we can't do alone at the current stage).

This to say that in my opinion the only way out I can forsee is one of a
symbiotic relation between MATE and Debian. I know that at MATE project
everyone looks to the day we can work together, I would like to see it
happen.

Only Debian can help us make this dream of ours true. Please don't turn
your backs to us, lets us work this out together.

By bringing the previous to your consideration, I have the honor of
expressing also my distinct consideration for the Debian Community,

Nelson Marques
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Mon, 03 Dec 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to luciano regino <regino_tec@yahoo.com.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Mon, 03 Dec 2012 11:21:03 GMT) Full text and rfc822 format available.

Message #125 received at 658783@bugs.debian.org (full text, mbox):

From: luciano regino <regino_tec@yahoo.com.br>
To: 658783@bugs.debian.org
Subject: não consigo atualizar o desktop
Date: Mon, 03 Dec 2012 09:17:03 -0200
  I don't pess upgrade for mate desktop please return my question in 
portuguese of brasil I'm stay grateful...

i don't spek english my english is very bad!

sorry

congratulations

luciano



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Mon, 03 Dec 2012 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to luciano regino <regino_tec@yahoo.com.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Mon, 03 Dec 2012 11:21:04 GMT) Full text and rfc822 format available.

Message #130 received at 658783@bugs.debian.org (full text, mbox):

From: luciano regino <regino_tec@yahoo.com.br>
To: 658783@bugs.debian.org
Subject: ops..
Date: Mon, 03 Dec 2012 09:18:45 -0200
my distribution is a linux mint lmde

tank you!

luciano



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 18 Jan 2013 07:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sun, 03 Feb 2013 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Ruggier <simon80@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sun, 03 Feb 2013 14:39:03 GMT) Full text and rfc822 format available.

Message #137 received at 658783@bugs.debian.org (full text, mbox):

From: Simon Ruggier <simon80@gmail.com>
To: 658783@bugs.debian.org
Subject: Representing Debian
Date: Sun, 3 Feb 2013 09:37:10 -0500
[Message part 1 (text/plain, inline)]
In general, I try to avoid adding to heated discussions unless I have
something very relevant to add. To that end, I'd like to remind everyone,
especially those considering devoting their time to packaging MATE in
Debian, that Josselin Mouette is only expressing his opinions in a personal
capacity. Ultimately, packages are included or excluded from Debian based
on the guidelines expressed in the Debian Policy Manual. The responsibility
for interpreting those guidelines falls on members of the ftp-master, who
have the thankless job of processing packages in the NEW queue. As such,
any package that follows those guidelines should be accepted into Debian,
regardless of any philosophical misgivings that individual Debian
developers may express on the ITP thread.

For more information, see the following:
Debian Policy Manual: http://www.debian.org/doc/debian-policy/
FTP Master: http://ftp-master.debian.org/
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Tue, 19 Mar 2013 16:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Pierson <contact@thomaspierson.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Tue, 19 Mar 2013 16:18:15 GMT) Full text and rfc822 format available.

Message #142 received at 658783@bugs.debian.org (full text, mbox):

From: Thomas Pierson <contact@thomaspierson.fr>
To: stefano@karapetsas.com
Cc: 658783@bugs.debian.org
Subject: Re: ITP: mate-common -- common scripts and macros to develop with MATE
Date: Tue, 19 Mar 2013 12:30:59 +0100
Hello Stefano,

Do you have any news about this package?

I see it in the "new-queue" some days ago but it seem to disappear from
the list now. Does it rejected?

Best regards,

Thomas Pierson




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#658783; Package wnpp. (Tue, 19 Mar 2013 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Karapetsas <stefano@karapetsas.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 19 Mar 2013 16:57:04 GMT) Full text and rfc822 format available.

Message #147 received at 658783@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: Thomas Pierson <contact@thomaspierson.fr>, <658783@bugs.debian.org>
Subject: Re: Bug#658783: ITP: mate-common -- common scripts and macros to develop with MATE
Date: Tue, 19 Mar 2013 17:44:47 +0100
Hi Thomas,

> Do you have any news about this package?
> I see it in the "new-queue" some days ago but it seem to disappear 
> from
> the list now. Does it rejected?

Yes. mate-common was rejected due to an incomplete debian/copyright 
file and missing GPL headers. I prepared the next version and we are 
waiting that one of the DDs in our team will upload it again.

Cheers,
Stefano



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Wed, 20 Mar 2013 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Pierson <contact@thomaspierson.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Wed, 20 Mar 2013 12:03:04 GMT) Full text and rfc822 format available.

Message #152 received at 658783@bugs.debian.org (full text, mbox):

From: Thomas Pierson <contact@thomaspierson.fr>
To: Stefano Karapetsas <stefano@karapetsas.com>
Cc: 658783@bugs.debian.org
Subject: Re: Bug#658783: ITP: mate-common -- common scripts and macros to develop with MATE
Date: Wed, 20 Mar 2013 11:39:59 +0100
> Yes. mate-common was rejected due to an incomplete debian/copyright file
> and missing GPL headers. I prepared the next version and we are waiting
> that one of the DDs in our team will upload it again.

Thanks for your response and thanks for your work to get Mate in Debian
archive.

Regards,
Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>:
Bug#658783; Package wnpp. (Sat, 13 Apr 2013 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Antonius Kies" <dieselmotor@gmx.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefano Karapetsas <stefano@karapetsas.com>. (Sat, 13 Apr 2013 11:03:05 GMT) Full text and rfc822 format available.

Message #157 received at 658783@bugs.debian.org (full text, mbox):

From: "Antonius Kies" <dieselmotor@gmx.at>
To: 658783@bugs.debian.org, stefano@karapetsas.com
Subject: Re: Bug#658783: ITP: mate-common -- common scripts and macros to develop with MATE
Date: Sat, 13 Apr 2013 12:59:19 +0200 (CEST)
Hello everybody!

Just an opinion from a simple user w/o big programming/configuration skills to the desktop discussion: I like the design of Gnome 2 very much and am grateful, that the MATE developers took the work to continue it.
I absolutely do not want to devalue the also noteworthy work from the developers of Gnome 3, Unity, KDE, XFCE, LXDE ..., but my personal DE is a question of taste, familiarisation and comfort.
Until now I tried Gnome 2 on Ubuntu 6.06 and Debian 6, XFCE and Unity on Ubuntu 12.04, and LXDE on Wheezy and Knoppix.
You guess it: I prefer Gnome2/MATE (followed by XFCE and LXDE), but that is just my non-representative personal opinion.
Because I will keep using oldfashioned desk- & laptops as workstation and no stylish mobile devices, I need a modern OS like Debian/Linux and a "conservative" DE with a main menue and panels to put my starters on.

I checked out MATE 1.6 with Debian 7 (testing CD from 2013-04-08, LXDE edition) on an amd64 desktop:
- I followed the instructions from http://wiki.mate-desktop.org/download#debian, where I was also pointed to this discussion.
- The installation worked and I got back my habitual DE with all necessary options
- Actually MATE includes misconfigurations/errors: After every login I get the message
"GDBus.Error: org.freedesktop.PolicyKit1.Error.failed: An authentication agent already exists for the given subject"
I guess this is something what the Debian custodians critizised before.

My laptop is an old HP compaq nx8220 from around 2005, upgraded to Pentium M 770 2.1 GHz, 2 GB RAM and 30 GB SSD. Because the actual Ubuntu can't be installed (the PAE thing), I came back to the roots: Debian 6 operates very well with Gnome 2. In addition Windows 7 works fine, what I need sometimes for the job. The graphics controller is 'ATI Mobility Radeon X600' (3D capable), and at home I put the oldie on a docking station HP PA287A, series HSTNN-IX02.

To know what I am talking about, I got Fedora 18 with Gnome 3.6 (yeah, only 5 h download at 50 kB/s overnight!) and bootet it from an USB stick. Here are the results:
# Laptop standalone: Fedora boots and Gnome 3.6 starts, everything works. My 1st opinion from 15 min playing with Gnome 3: 
- Like: Modern look, good artwork, clarity. It really looks good, a great design job!
- Dislike: The "upper left corner move" to get the dash, missing of a real start menue, cannot drag&drop starters to panel or desktop, filemanager in full screen view w/o close button on the window frame, all the nice 3D effects eating the battery
--> I think, after some time I would get used to Gnome 3 and configure it my way, I also got used somehow to Unity. In direct comparison I prefer the menu structure of Gnome 3 .
# But there is a big "but": Laptop on docking station, for some reason the 3D acceleration does not work then: Fedora starts, I see the 1st info popup and then this error message:
"GNOME 3 Failed to load. Unfortunately GNOME 3 failed to start properly and started in the fallback mode. This most likely means your system (graphics hardware or driver) is not capable of delivering the full GNOME 3 experience."
Afterwards I see the nice blue desktop background w/o any dash or starter (no "upper left corner move" ...) and can't do anything with the mouse.
I guess, this is a problem of Gnome 3.6 and not of Fedora, because when automounting an USB stick, the filemanager opens automatically. If the successor of the "fallback mode", the "classic mode" of Gnome 3.8, would solve this problem, I do not know.

What does this mean to me:
- Hoping, that MATE reaches full Debian compatibility
- Installing the upcoming Debian 7 release w/o standard DE
- Afterwards manual installation of MATE 1.x
- Digging some evenings in the net to get this working ...

My proposal for full integration of MATE into Debian:
- Wait until full compatibility of MATE 1.x to Debian 7 is proven and its code basis is consistent with the standards
- Include MATE in the official Debian repositories
- Discussion of a MATE edition of Debian 7

I think, there are many potential fans of Debian 7 'MATE edition' out there who would choose this!

Best regards from Styria and: Stay developing!

Anton



Reply sent to Stefano Karapetsas <stefano@karapetsas.com>:
You have taken responsibility. (Wed, 17 Apr 2013 09:03:19 GMT) Full text and rfc822 format available.

Notification sent to Stefano Karapetsas <stefano@karapetsas.com>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 09:03:19 GMT) Full text and rfc822 format available.

Message #162 received at 658783-close@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: 658783-close@bugs.debian.org
Subject: Bug#658783: fixed in mate-common 1.5.2-1
Date: Wed, 17 Apr 2013 09:00:29 +0000
Source: mate-common
Source-Version: 1.5.2-1

We believe that the bug you reported is fixed in the latest version of
mate-common, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Karapetsas <stefano@karapetsas.com> (supplier of updated mate-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 13 Mar 2013 00:33:54 +0100
Source: mate-common
Binary: mate-common
Architecture: source all
Version: 1.5.2-1
Distribution: experimental
Urgency: low
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Changed-By: Stefano Karapetsas <stefano@karapetsas.com>
Description: 
 mate-common - common scripts and macros to develop with MATE
Closes: 658783
Changes: 
 mate-common (1.5.2-1) experimental; urgency=low
 .
   * New upstream development release.
   * debian/copyright: Add list of gnome-common copyright holders, generated
     using a custom python script and python-git module on git gnome-common
     history until 2011.
   * First upload to Debian (Closes: 658783).
Checksums-Sha1: 
 45a5596f894f498a3f943f6d2ec6fb9abf1f2dd7 1860 mate-common_1.5.2-1.dsc
 513dd79925d3c88867a0485ed28583fdda2d8954 24484 mate-common_1.5.2.orig.tar.xz
 26b826bdd965215ab942537cdde4608e4bfdb5a3 4997 mate-common_1.5.2-1.debian.tar.gz
 c58d6caf3be6466db5d138ec2e6a8d49ef18b3e5 20380 mate-common_1.5.2-1_all.deb
Checksums-Sha256: 
 08cb9d8ed014dfead6a1553565a80daf6bae00e3da0d987cbc6b5e390b8c998c 1860 mate-common_1.5.2-1.dsc
 84c87e112cd30e00cbf8c7c2faee4fee21d5faf4d95ecdad36dfa0816ab3660b 24484 mate-common_1.5.2.orig.tar.xz
 2fe6da7958e893cdc5c096d989680de47b6cb8daf1b7a849b69b1e624858f687 4997 mate-common_1.5.2-1.debian.tar.gz
 7a19bc4e0699459a77d9cf085e4bf92f2c1cb246db66adaff0a7f50de7da38d3 20380 mate-common_1.5.2-1_all.deb
Files: 
 b39460dd3a52528fc490574ff2159180 1860 devel optional mate-common_1.5.2-1.dsc
 12943d647af865770e6921f96bd6c10b 24484 devel optional mate-common_1.5.2.orig.tar.xz
 dd949efdc9df5ff7353fc35eac12f999 4997 devel optional mate-common_1.5.2-1.debian.tar.gz
 c8bc3e708efd686d1e83b6b261dc989d 20380 devel optional mate-common_1.5.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Kees Cook <kees@outflux.net>

iQIcBAEBCgAGBQJRUfLPAAoJEIly9N/cbcAmB5gQAJCHx0sDi3QzDCnUZHV9SVHD
Y6GSa5QwxHkJlgBpgOQU3u9G9xLlVCiHDb5iscTdz0UGvXke71irVHoMkbxSY5IF
M6wDR8dDqh/AjN0FYF5EOr+w9hBl54jvHXWBuZk8HD7CZP1+wjVM9WjB5hULDcYT
jwJ34HEqZVb/Z9q9GfUqQCgnlhCWJ46saCoupn4WX49YI7NUrUJH4xAklgqulRDk
WtZxniOA2yYw6+kYYnGVd1xmpZZFyg9BtmIp3jaokvAUwscmrz3XnxPTo3c3cFBV
fwFoki50N3sLUPJ5Y/jWgUIlTgO+A1I5IYqspoDSJFaQXuXcdFuqYvXWwZmgq+zg
/Vl8QgJfu4jPMEXR8+CjYyOpgV9rFmGyKVGBUVe3gxZby1a27OEQSLmL79pFJd3g
mifJEUgCkHUaf+hrNhZjGYRLsfM9brYhVzbj0tmJ4qFu03M6gdxx3fR2gL3a/eNY
a5/afRcQGTJV3sGgIL7E73Eq0B8/ykBIZ8lc2qlQeQ/PJOS8nXY6VqZdqcQXdFp7
xDtQ1/zwykEBUjtsTO7T52W9bPYG56rssm2N4A3cOVGPz+2OMZEOXDvzQSaOAkWk
4embXMChCe97rPx9FpgLHDDCxq9dI7LaNP1OUiGRyVObN6xx9+2rb9wuWp0pnHTY
fGx+mGAaOVcKp5MLbaqB
=n2Dk
-----END PGP SIGNATURE-----




Reply sent to Stefano Karapetsas <stefano@karapetsas.com>:
You have taken responsibility. (Mon, 13 May 2013 11:36:05 GMT) Full text and rfc822 format available.

Notification sent to Stefano Karapetsas <stefano@karapetsas.com>:
Bug acknowledged by developer. (Mon, 13 May 2013 11:36:05 GMT) Full text and rfc822 format available.

Message #167 received at 658783-close@bugs.debian.org (full text, mbox):

From: Stefano Karapetsas <stefano@karapetsas.com>
To: 658783-close@bugs.debian.org
Subject: Bug#658783: fixed in mate-common 1.6.1-1
Date: Mon, 13 May 2013 11:32:53 +0000
Source: mate-common
Source-Version: 1.6.1-1

We believe that the bug you reported is fixed in the latest version of
mate-common, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Karapetsas <stefano@karapetsas.com> (supplier of updated mate-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 May 2013 19:31:10 +0200
Source: mate-common
Binary: mate-common
Architecture: source all
Version: 1.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Changed-By: Stefano Karapetsas <stefano@karapetsas.com>
Description: 
 mate-common - common scripts and macros to develop with MATE
Closes: 658783
Changes: 
 mate-common (1.6.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #658783)
Checksums-Sha1: 
 5fdba2d7d6ecf3fd36d8104374c44bb552379a8a 1927 mate-common_1.6.1-1.dsc
 36400c99c386a0eb7b7daf450c400f349c7f90b8 66724 mate-common_1.6.1.orig.tar.xz
 fa662b8118b415fca70442877355c44ef3b90b24 4199 mate-common_1.6.1-1.debian.tar.gz
 accb46aeab00c85e65ab297036b1da58af7dc778 19650 mate-common_1.6.1-1_all.deb
Checksums-Sha256: 
 0c49e738b4953be6bd7b326bd21fb5e436e68ec9f7c20a70d859ca8c3a461bb5 1927 mate-common_1.6.1-1.dsc
 234996ae9a0e49f0a55a4a4dfc45e89f1ecdfc1f950381a1a5f192e41b6605cc 66724 mate-common_1.6.1.orig.tar.xz
 d203aabbe3854cb2fb0e1aa94a44b02cf1cf24ace21d35ffb2811e2b52648a50 4199 mate-common_1.6.1-1.debian.tar.gz
 6f0f9f8a3112240b234bafbc84b547ce5aa35136f7db7331c1e1e535631a9b13 19650 mate-common_1.6.1-1_all.deb
Files: 
 4de184665454a8effc7f8a413adb486b 1927 devel optional mate-common_1.6.1-1.dsc
 876fe70f3261fb4e75889fda42286bc1 66724 devel optional mate-common_1.6.1.orig.tar.xz
 01580ebb6871c3f72cd2308649e54eb6 4199 devel optional mate-common_1.6.1-1.debian.tar.gz
 c3563e4d2d700aa1dd86bd87e8122e52 19650 devel optional mate-common_1.6.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRkM3cAAoJEHQmOzf1tfkTOSAP/3RCgKPAkHqxygvMxPhG9FKf
Lty3KbLvWTqh3xxyCMsVVK6v/rHaSIXG3QoWgXWLpv99nP0qlUFZ1JT27wgQEx3e
22yyMUatARL/ndzEdVpgQkWzNUQNWcpeZKGYW3fYw0gkfZ/+zHeNwbvOsos+9oF3
qtpOmJU2oQTuLVEPWULHD320eQBN1MX+UkS7/kJoOXQbZ31iHdcHpy1771Z07lz9
JS/lQZDdb9OpcC+2DQcHIFRQ0vYhAtaXfVuThz0G1SYW0sH8b1i1yXbOHNTuea3D
OdhbnWD7BcZQWmaVilVSzalwxOn+GqOuSWuR6ZcH/O5Wq2koqX1agwjHJmU+Zq1j
/qj7QM1ZSDR4UNRz6NBf/7wF9u4FuLlww+3JIIsy6MqSSeUo0J4DoB2MH3xo9seP
aXziMQs++x4BIpvyjQac62PiJ28pp5/XjdKbUHSNwMJzTNSfw26VYc2+56/Zaajw
J4FwrwbQsLTSXe5da5QN4Mq1I1zNcfmbmo/F6TaJNHl21yUUQ9tBc1IKjPDqoA14
tyLoyR14LL+/MHAqd5AKOo8E12RSuZjh/ywBw37Y4+pKCp2r99HWtfV5qhnxza6x
pXTDn1c1RO64WHl4fw3FCO+V8p8upJnmszDBRoBmOw3KyPvomp74V2/zKVXzot6C
qQ5b/m9/XzjmKSrk5g+2
=O8Il
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jun 2013 07:30:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:59:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.